Loading...
Searching...
No Matches
XrdPfc::Info::AStat Struct Reference

Access statistics. More...

`#include <XrdPfcInfo.hh>`

Collaboration diagram for XrdPfc::Info::AStat:

## Public Member Functions

| AStat ()
void | MergeWith (const AStat &a)

## Public Attributes

time_t | AttachTime
| open time
long long | BytesBypassed
| read from remote and dropped
long long | BytesHit
| read from cache
long long | BytesMissed
| read from remote and cached
time_t | DetachTime
| close time
int | Duration
| total duration of all IOs attached
int | NumIos
| number of IO objects attached during this access
int | NumMerged
| number of times the record has been merged
int | Reserved
| reserved / alignment

## Detailed Description

Access statistics.

Definition at line 56 of file XrdPfcInfo.hh.

## Constructor & Destructor Documentation

## AStat()

XrdPfc::Info::AStat::AStat | ( |  | ) |

inline

Definition at line 68 of file XrdPfcInfo.hh.

:
AttachTime(0), DetachTime(0), NumIos(0), Duration(0), NumMerged(0), Reserved(0),
BytesHit(0), BytesMissed(0), BytesBypassed(0)
{}
XrdPfc::Info::AStat::BytesHit
long long BytesHit
read from cache
Definition XrdPfcInfo.hh:64
XrdPfc::Info::AStat::BytesBypassed
long long BytesBypassed
read from remote and dropped
Definition XrdPfcInfo.hh:66
XrdPfc::Info::AStat::Duration
int Duration
total duration of all IOs attached
Definition XrdPfcInfo.hh:61
XrdPfc::Info::AStat::Reserved
int Reserved
reserved / alignment
Definition XrdPfcInfo.hh:63
XrdPfc::Info::AStat::NumIos
int NumIos
number of IO objects attached during this access
Definition XrdPfcInfo.hh:60
XrdPfc::Info::AStat::DetachTime
time_t DetachTime
close time
Definition XrdPfcInfo.hh:59
XrdPfc::Info::AStat::BytesMissed
long long BytesMissed
read from remote and cached
Definition XrdPfcInfo.hh:65
XrdPfc::Info::AStat::AttachTime
time_t AttachTime
open time
Definition XrdPfcInfo.hh:58
XrdPfc::Info::AStat::NumMerged
int NumMerged
number of times the record has been merged
Definition XrdPfcInfo.hh:62

References AttachTime, BytesBypassed, BytesHit, BytesMissed, DetachTime, Duration, NumIos, NumMerged, and Reserved.

## Member Function Documentation

## MergeWith()

void Info::AStat::MergeWith | ( | const AStat & | a | ) |

Definition at line 366 of file XrdPfcInfo.cc.

{
// Access in b assumed to happen after the one in this.
DetachTime = b.DetachTime;
NumIos += b.NumIos;
Duration += b.Duration;
NumMerged += b.NumMerged + 1;
BytesHit += b.BytesHit;
BytesMissed += b.BytesMissed;
BytesBypassed += b.BytesBypassed;
}

References BytesBypassed, BytesHit, BytesMissed, DetachTime, Duration, NumIos, and NumMerged.

## Member Data Documentation

## AttachTime

time_t XrdPfc::Info::AStat::AttachTime

open time

Definition at line 58 of file XrdPfcInfo.hh.

Referenced by AStat(), XrdPfc::Info::GetLatestDetachTime(), XrdPfc::Info::WriteIOStatAttach(), XrdPfc::Info::WriteIOStatSingle(), and XrdPfc::Info::WriteIOStatSingle().

## BytesBypassed

long long XrdPfc::Info::AStat::BytesBypassed

read from remote and dropped

Definition at line 66 of file XrdPfcInfo.hh.

Referenced by AStat(), and MergeWith().

## BytesHit

long long XrdPfc::Info::AStat::BytesHit

read from cache

Definition at line 64 of file XrdPfcInfo.hh.

Referenced by AStat(), MergeWith(), XrdPfc::Info::WriteIOStatSingle(), and XrdPfc::Info::WriteIOStatSingle().

## BytesMissed

long long XrdPfc::Info::AStat::BytesMissed

read from remote and cached

Definition at line 65 of file XrdPfcInfo.hh.

Referenced by AStat(), and MergeWith().

## DetachTime

time_t XrdPfc::Info::AStat::DetachTime

close time

Definition at line 59 of file XrdPfcInfo.hh.

Referenced by AStat(), XrdPfc::Info::CompactifyAccessRecords(), XrdPfc::Info::GetLatestDetachTime(), MergeWith(), XrdPfc::Info::WriteIOStatSingle(), and XrdPfc::Info::WriteIOStatSingle().

## Duration

int XrdPfc::Info::AStat::Duration

total duration of all IOs attached

Definition at line 61 of file XrdPfcInfo.hh.

Referenced by AStat(), XrdPfc::Info::GetLatestDetachTime(), MergeWith(), and XrdPfc::Info::WriteIOStatSingle().

## NumIos

int XrdPfc::Info::AStat::NumIos

number of IO objects attached during this access

Definition at line 60 of file XrdPfcInfo.hh.

Referenced by AStat(), MergeWith(), XrdPfc::Info::WriteIOStatSingle(), and XrdPfc::Info::WriteIOStatSingle().

## NumMerged

int XrdPfc::Info::AStat::NumMerged

number of times the record has been merged

Definition at line 62 of file XrdPfcInfo.hh.

Referenced by AStat(), and MergeWith().

## Reserved

int XrdPfc::Info::AStat::Reserved

reserved / alignment

Definition at line 63 of file XrdPfcInfo.hh.

Referenced by AStat().

The documentation for this struct was generated from the following files:

- XrdPfcInfo.hh
- XrdPfcInfo.cc